Skip to content

Get score history

GET
/score/history
curl --request GET \
--url 'https://api.ethos.network/api/v2/score/history?userkey=example&duration=1d'

Returns dated score points for a userkey over the requested duration (1d to all time, default 30d), aggregated for charting.

userkey
required
string
duration
string
default: 30d
Allowed values: 1d 7d 30d 90d 6m 1y all

Successful response

Media typeapplication/json
Array<object>
object
date
required
string
score
required
number

Example generated

[
{
"date": "example",
"score": 1
}
]

Invalid input data

Media typeapplication/json
Invalid input data error (400)

The error information

object
message
required

The error message

string
code
required

The error code

string
issues

An array of issues that were responsible for the error

Array<object>
object
message
required
string

Example

{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}

Not found

Media typeapplication/json
Not found error (404)

The error information

object
message
required

The error message

string
code
required

The error code

string
issues

An array of issues that were responsible for the error

Array<object>
object
message
required
string

Example

{
"code": "NOT_FOUND",
"message": "Not found",
"issues": []
}

Internal server error

Media typeapplication/json
Internal server error error (500)

The error information

object
message
required

The error message

string
code
required

The error code

string
issues

An array of issues that were responsible for the error

Array<object>
object
message
required
string

Example

{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}